Софтуерно Инженерство
Loading...
+ Нов въпрос
Lyubomir_Georgiev avatar Lyubomir_Georgiev 1 Точки

Не ми стартира Блог-а на Джава

Разархивирам скелета на "късо" разстояние. Импортвам в IJ Idea Ultimate. Рънвам - BlogApplication и Баммм грешка: 

Information:java: Errors occurred while compiling module 'blog'
Information:javac 1.8.0_161 was used to compile java sources
Information:11/04/2018 21:34 - Compilation completed with 3 errors and 3 warnings in 4s 763ms
Warning:java: source value 1.5 is obsolete and will be removed in a future release
Warning:java: target value 1.5 is obsolete and will be removed in a future release
Warning:java: To suppress warnings about obsolete options, use -Xlint:-options.
C:\Users\lugeorgiev\IdeaProjects\blog\src\main\java\softuniBlog\entity\Role.java
Error:(18, 34) java: diamond operator is not supported in -source 1.5
  (use -source 7 or higher to enable diamond operator)
C:\Users\lugeorgiev\IdeaProjects\blog\src\main\java\softuniBlog\service\BlogUserDetailsService.java
Error:(32, 51) java: lambda expressions are not supported in -source 1.5
  (use -source 8 or higher to enable lambda expressions)
C:\Users\lugeorgiev\IdeaProjects\blog\src\main\java\softuniBlog\entity\User.java
Error:(26, 34) java: diamond operator is not supported in -source 1.5
  (use -source 7 or higher to enable diamond operator)

 

Имам и xxamp и Haidi пуснато и греда. Всичко свети в червено. Къде е драмата? 

ПП и двата записа гледам и стъпка по стъпка го правих ТРИ пъти и всеки път това става.

Тагове:
0
Софтуерни технологии 11/04/2018 21:40:48
k.sevov avatar k.sevov 1067 Точки

Ползваш стара версия на Java (1.5) и затова. Виж си в pom.xml ако имаш някъде 1.5 да го смениш на 1.8 или да се добави конфигурацията направо (не знам какво точно са ви дали в скелета). 

0
RosenTheHacker avatar RosenTheHacker 7 Точки

най-вероятно в pom.xml ще имаш нещо такова само че ще пише 1.5.

направо го смени с това по-долу

<java.version>1.8</java.version>
0
Lyubomir_Georgiev avatar Lyubomir_Georgiev 1 Точки

Ами не, всичко си е ОК в pom.xml-а защото само аз го имам тоя пролем май от целия курс. Поради някаква причина НЕ ми тегли депенданситата, а и също след импорт на проекта не ми променя Java Compiler-а на 8-ма версия. А JDK-то ми е 1.8.162 (беше 161).

Вчера Мишо го ръчка поен 30 минути и вкакара всчики депендансита едва ли не ръчно и блога стартира. Тея дни ще го пробвам на друг комп с Вин10, защото съм със седмица сега. Ако на исзпита откаже да ги зареди ще трябва да миан без Джава блог :)

Много мерси за предложенията Ви.

ПП Дефакто НЕ искаше да зареди Спринг депенданситата

0
13/04/2018 08:00:24